heat-api is not available

Bug #1307503 reported by Denis Egorenko on 2014-04-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Vladimir Kuklin
4.1.x
Critical
Vladimir Kuklin

Bug Description

{"build_id": "2014-04-12_22-22-54", "mirantis": "yes", "build_number": "354", "nailgun_sha": "61410bcf3201cd737e68ece8ab15313acc746476", "production": "dev", "ostf_sha": "118c955085ea7829f3a34decd38d63554b74451c", "fuelmain_sha": "1c042c80f6d101800c393b2f626cd9279a8e45b1", "astute_sha": "401bc474b1d8cebb8ba70b3b6154107e08fd725d", "release": "5.0", "fuellib_sha": "101f3645ead182bc47024ff7568b04554de06bba"}

To reproduce:
1) Deploy HA;
2) Ubuntu or Centos;
3) Controller + Cinder LVM + Ceph OSD
4) Nova;

Heat-api is not available via public URL:

Service: orchestration
+-------------+-------------------------------------------------------------+
| Property | Value |
+-------------+-------------------------------------------------------------+
| adminURL | http://192.168.0.1:8004/v1/b184d9d61f76485d9c4d0c8e5166bba7 |
| id | 08f934ae4f2a4b8786ea9247c93fd7d8 |
| internalURL | http://192.168.0.1:8004/v1/b184d9d61f76485d9c4d0c8e5166bba7 |
| publicURL | http://172.16.0.2:8004/v1/b184d9d61f76485d9c4d0c8e5166bba7 |
| region | RegionOne |
+-------------+-------------------------------------------------------------+

root@node-8:~# heat stack-list
Error communicating with http://172.16.0.2:8004/v1/b184d9d61f76485d9c4d0c8e5166bba7 [Errno 111] Connection refused

root@node-8:~# curl http://172.16.0.2:8004/v1/b184d9d61f76485d9c4d0c8e5166bba7
curl: (7) couldn't connect to host

tags: added: icehouse
description: updated
summary: - heat-api not available
+ heat-api is not available
Bogdan Dobrelya (bogdando) wrote :

Maybe related to HAproxy moved to separated namespace

Changed in fuel:
status: New → Confirmed
importance: Undecided → Critical
assignee: nobody → Fuel Library Team (fuel-library)
milestone: none → 5.0
tags: added: ha
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/87620

Changed in fuel:
assignee: Fuel Library Team (fuel-library) → Vladimir Kuklin (vkuklin)
status: Confirmed → In Progress
tags: added: backports-4.1.1

Reviewed: https://review.openstack.org/87620
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=068b771286c47e4e73b4a2ccc6ca9a003a8a1edd
Submitter: Jenkins
Branch: master

commit 068b771286c47e4e73b4a2ccc6ca9a003a8a1edd
Author: Vladimir Kuklin <email address hidden>
Date: Tue Apr 15 17:32:43 2014 +0400

    Proxy requests to heat API using haproxy

    Change-Id: Id416667d5956a9e4712ae47a3afd03104fde05c0
    Closes-Bug: #1307503

Changed in fuel:
status: In Progress → Fix Committed
Anastasia Palkina (apalkina) wrote :

Verified on ISO #139
"build_id": "2014-04-25_01-00-26",
"mirantis": "yes",
"build_number": "139",
"nailgun_sha": "6b156d7434d0a70efe288cd8064d0ca90fed0737",
"production": "prod",
"ostf_sha": "134765fcb5a07dce0cd1bb399b2290c988c3c63b",
"fuelmain_sha": "9939570720729dce22e635b0b9c9465e9d80661f",
"astute_sha": "6e8fa4cc12968d7b468fc590b2f06bb59bf74511",
"release": "5.0",
"fuellib_sha": "ebc4b365dd60811e918c280a79631369a7afb868"

[root@node-7 ~]# heat stack-list
+----+------------+--------------+---------------+
| id | stack_name | stack_status | creation_time |
+----+------------+--------------+---------------+
+----+------------+--------------+---------------+

Changed in fuel:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/96843
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=c28381d7725f8c8f49a6be89e28c78bf12c65e3d
Submitter: Jenkins
Branch: stable/4.1

commit c28381d7725f8c8f49a6be89e28c78bf12c65e3d
Author: Vladimir Kuklin <email address hidden>
Date: Tue Apr 15 17:32:43 2014 +0400

    Proxy requests to heat API using haproxy

    Change-Id: Id416667d5956a9e4712ae47a3afd03104fde05c0
    Closes-Bug: #1307503

Dmitry Pyzhov (dpyzhov) on 2014-07-15
no longer affects: fuel/5.0.x
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers